❖ MatchMove Banking API Specifications

Sections

Theme switcher

Update users statuses

Header Parameters

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

user_idstring Required

Body Parameters

actionstring Required

User status action

Enum values:
activatesuspend
reason_codestring

User status reason code. Allowed values accessible via /v2/users/enumerations/status_reason_codes

messagestring
Max length
255
Pattern
[#.0-9a-zA-Z\\s,\\/\\-_:+?\\')(@#!&]

Response

200
Object

OK

Response Attributes

idstring

Unique identifier for the user

user_hashstring

Hashed user identifier

typestring

User type

client_ref_idstring

Client's reference ID

provider_ref_idstring

Provider's reference ID

provider_account_numberstring

Account number from provider

salutationstring

User's salutation

titlestring

User's title

first_namestring

User's first name

middle_namestring

User's middle name

last_namestring

User's last name

preferred_namestring

User's preferred name

emailstring

User's email address

mobile_country_codestring

Mobile country code

mobilestring

Mobile number

business_provider_account_numberstring

Business provider account number

genderstring

User's gender

marital_statusstring

User's marital status

identificationobject

Primary and secondary identification documents

birthobject
nationalitystring

User's nationality

mothers_detailsobject
fathers_detailsobject
addressesobject

Address structure for individual users

employment_typestring

Type of employment

job_titlestring

User's job title

employment_detailsobject
fatca_crs_confirmed_atstring

Timestamp when FATCA/CRS was confirmed

fatca_relevantboolean

Whether user is subject to FATCA

data_terms_signed_atstring

Timestamp when data terms were signed

annual_income_rangestring

User's annual income range

main_income_sourcestring

Primary source of income

purpose_of_account_openingstring

Purpose for opening the account

socioprofessional_categorystring

Socio-professional category

work_countrystring

Country where user works

residency_statusstring

Status of residency

residency_countrystring

Country of residence

self_declared_as_pepboolean

Whether user self-declared as Politically Exposed Person

tos_acceptanceobject
metadataobject

Additional metadata

agent_idstring

Agent identifier

partner_idstring

Partner identifier

customer_idstring

Customer identifier

statusstring

Current user status

Enum values:
pending_verificationverification_completedpending_activationactiverejectedsuspendedterminated
sub_statusstring

Current user sub-status

kyc_statusstring

KYC verification status

Enum values:
not_submittedpendingin_progresscompleted
kyc_sub_statusstring

KYC verification sub-status

transaction_statusstring

Transaction status

transaction_sub_statusstring

Transaction sub-status

is_email_verifiedstring

Email verification status

is_mobile_verifiedstring

Mobile verification status

is_risk_flaggedstring

Risk flagging status

Enum values:
UNKNOWNPENDINGCLEAREDREJECTED
kyc_processed_datestring

Date when KYC was processed

date_createdstring

User creation timestamp

date_updatedstring

User last update timestamp

pending_updatearray

List of pending updates

Max items
50
verification_idobject

Verification identifiers

requirementsobject
risk_assesment_statusstring

Risk assessment status

Enum values:
UNKNOWNPENDINGCLEAREDREJECTED
errorsarray

List of errors if any

Max items
20
status_reason_codestring

Reason code for current status

status_messagestring

Status message description

occupationstring

User's occupation

volume_of_assetsstring

Volume of assets

business_idstring

Business identifier

legal_namestring

Legal name

alias_namestring

Alias name

tinstring

Tax Identification Number

ethnicitystring

User's ethnicity

supporting_documentsarray

List of supporting documents

Max items
10
risk_evaluation_datestring

Risk name screening evaluated date

verification_expirystring

User CDD verification expiry date

400
Object

Bad Request The response code field indicates which specific rule was violated. Possible error codes:

  • invalid_model — Missing required fields in the request
  • user_improper_id — User id was not provided in the request
  • validation_error — Requested action value is not allowed
  • resource_user_state_invalid — The requested target status is not a permitted state transition
  • resource_user_inactive — Referenced user is currently inactive/blocked
  • user_record_already_suspended — User is already suspended
  • invalid_action — Requested action is not allowed for the current user status

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized The response code field indicates which specific rule was violated. Possible error codes:

  • access_denied — Access is denied for this resource

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden The response code field indicates which specific rule was violated. Possible error codes:

  • unauthorized_action — The consumer scope is not allowed to access this resource
  • user_status_restricted — User data cannot be modified while CDD verification is in progress

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

500
Object

Internal Server Error The response code field indicates which specific rule was violated. Possible error codes:

  • generic_error — General application error
  • request_fatal_internal — Fatal service error

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

501
Object

Not Implemented

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Bad Gateway

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

Service Unavailable

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Gateway Timeout

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

PUT

/

Select
1

Response

Was this section helpful?